Welcome to the Dash Forum!

Please sign up to discuss the most innovative cryptocurrency!

GUI tool for running Masternode with Trezor

Discussion in 'Projects' started by Bertrand256, Mar 20, 2017.

  1. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    It looks like in fact you did not have a new version. You may have unpacked the `dashd` and `dash-cli` files into the `.dashcore` subfolder as suggested one of the documents which I've seen today. Anyway, on my server both files are located above the `.dashcore` directory and node runs v12.2 as expected.
     
  2. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Nope, dash-cli --version outputs "Dash Core RPC client version v0.12.2.0"
     
  3. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Yes, it's in the .dashcore directory but the version number returned from dashd and dash-cli says 12.2.0.
     
  4. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    That's the client version and it's ok. What's returned by `dashd --version` command?
     
  5. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Dash Core Daemon version v0.12.2.0
     
  6. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    No clue what could be the reason, except running another executable. I assume, that you've checked your running process image path (sudo ls -l /proc/<PID>/exe)
     
  7. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    ".dashcore/dashd (deleted)" what does that mean?
     
  8. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Maybe something went wrong during the upgrade. I suppose that you had `dashd` executable inside the `.dashcore` directory (as I wrote earlier) and deleted it after the execution.
    I suggest you to stop the process and after making sure it's really not running, run it again, making sure, that it's located in the directory above the `.dashcore` folder.
     
  9. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Okay, I killed the process and started it again and getinfo is correct now. I suspect, during the update process, dashd was re-started automatically because of my crontab. Maybe that should go into the documentation.

    I went against your advice and started it from .dashcore/, I'm not sure what difference it makes.
     
  10. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
  11. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Yes, you have to issue the `Start masternode...` command since your last version seen by the network was 12.1 and now it's 12.2
    For this use DMT v0.9.12
     
    • Informative Informative x 2
  12. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    "Problems encountered while processing some of the proposals data. Look into the log file for details." [log not updated]

    Now my nodes are on 12.2, do I need to go to DMT 0.9.13 to fix this?
     
  13. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Yes, you can now throw away v0.9.12 and move to v0.9.13, of course, if you are not afraid of "13" in the name :)
     
  14. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Still getting, "Error(s) occurred while retrieving proposals external data. Look into the log file for details." and the log file is untouched.

    It seems to happen when it's doing, "Reading proposal external attributes (3/3), please wait...".
     
    #224 GrandMasterDash, Nov 9, 2017
    Last edited: Nov 9, 2017
  15. obiwan-kenobi

    obiwan-kenobi New Member

    Joined:
    Jul 19, 2016
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hello,
    i can`t get the new version 0.9.13 working on Ubuntu 16.04. It says
    Code:
    [22065] Error loading Python lib '/tmp/_MEIGnGR9b/libpython3.6m.so.1.0': dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /tmp/_MEIGnGR9b/libpython3.6m.so.1.0)
    
    I have latest python 3.6.3 installed. libc6 version 2.23-0ubuntu9.
    I enabled pre-released updates and tried apt dist-upgrade, but it did not upgrade it. I downloaded latest package libc6_2.26-0ubuntu2_amd64.deb and tried to install manually, but it gives me an error
    Code:
    dpkg: error processing archive libc6_2.26-0ubuntu2_amd64.deb (--install):
     installing libc6:amd64 would break locales, and
     deconfiguration is not permitted (--auto-deconfigure might help)
    --auto-deconfigure does not help.
    I am struggling over ah hour with it, but without success. Any ideas? Thank you.
     
    #225 obiwan-kenobi, Nov 9, 2017
    Last edited: Nov 9, 2017
  16. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    This issue is related to problems with accessing dashcentral.org, which is used by the app to download external atrributes (proposal name, owner, etc). BTW, Dashcentral.org is now experiencing problems caused by a serius outage of the OVH infrastructure (https://twitter.com/OVH_Status/status/928515258020433921). I think that several masternodes are affected by this too.

    To suppress that type of messages in DMT you have to to disable "downloading external attributes" feature in the configuration window (labelled as "1"):
    upload_2017-11-9_10-12-40.png

    As for the lack of information in your log file - please verify what is the log level in your settings (labelled as "2"). I suggest you to set it to "Info".
     
    • Informative Informative x 1
  17. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Sorry for the delay. I've uploaded another linux binary, compiled on an older linux version, which I hope resolves the problem. Could you download and try again?
    URL: https://github.com/Bertrand256/dash...0.9.13/DashMasternodeTool_0.9.13.linux.tar.gz
     
    • Like Like x 2
  18. stan.distortion

    stan.distortion Active Member

    Joined:
    Oct 30, 2014
    Messages:
    836
    Likes Received:
    491
    Trophy Points:
    133
  19. obiwan-kenobi

    obiwan-kenobi New Member

    Joined:
    Jul 19, 2016
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    • Informative Informative x 1
  20. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
  21. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    DashMasternodeTool v0.9.14 released
    • Fixed the 'protocol version' issue occurring when starting masternode just after the "12.1->12.2" upgrade
    • Ability to enter the 'protocol version' value by the user if she/he decides to use non-default value
    • Self-accepting SSL certificates when downloading proposal external data from dashcentral.org - there were some issues related to this in some of the linux instances
    Executable binaries can be downloaded from: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.14
     
    • Like Like x 6
    • Winner Winner x 3
  22. Acedian

    Acedian Member

    Joined:
    Mar 17, 2017
    Messages:
    247
    Likes Received:
    71
    Trophy Points:
    88
    Dash Address:
    XeMABbcebB5yeZH2HxsV7yLNJA9hbzMgpz
    As always, a quick response to a given issue.
    Thanks Bertrand. Then again we employ you now, so you're just doing your job I guess :D
     
  23. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Thanks, I hope that this will make such issues less and less frequent :)
     
    • Like Like x 1
  24. dote

    dote New Member
    Masternode Owner/Operator

    Joined:
    May 18, 2017
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Hi Bertrand.

    I would love to have a more readable fee format.
    0.0000374 is much better than 3.47e-05

    dash-fee.png
     
  25. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Ok, I'll change the format in the next version or at least there will be an option for changing this on the user's level (some people prefer scientific format).
     
    • Like Like x 1
  26. GrandMasterDash

    GrandMasterDash Well-known Member
    Masternode Owner/Operator

    Joined:
    Jul 12, 2015
    Messages:
    2,657
    Likes Received:
    952
    Trophy Points:
    183
    Suggestion: On the proposals window, I would like to see a real-time filter based on what I type. I know what I'm looking for, I just want to type a word or two and watch the list get shorter to find the proposal I want.
     
  27. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    Ok, added to the closest feature list.
     
    • Like Like x 2
  28. tbnz

    tbnz New Member

    Joined:
    Dec 14, 2017
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Hi @Bertrand256 I am having a small issue trying to withdraw rewards using DMT (v 0.9.14)

    This error message pops up (9, 'Failed to compile output')

    Any suggestions? Thanks in advance!
     
    #238 tbnz, Dec 14, 2017
    Last edited: Dec 14, 2017
  29. Bertrand256

    Bertrand256 Active Member

    Joined:
    Feb 13, 2017
    Messages:
    227
    Likes Received:
    272
    Trophy Points:
    123
    Dash Address:
    XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
    You probably have your mn collaterals addresses located in different bip32 paths (e.g. 44'/5'/0'/0/0 and 44'/5'/1'/0/0) and you are trying to sign its UTXOs as a one transaction. If so, the reason is a Trezor's firmware bug. I've reported it to Satoshi Labs - they said they will fix it soon, but I don't know the exact date.

    To workaround this issue, send your funds (UTXOs) as a separate transactions for each of your masternodes.
     
  30. tbnz

    tbnz New Member

    Joined:
    Dec 14, 2017
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Thank you for the quick reply. I am sending UTXOs from only one MN. I also tried sending each reward separately but the same error shows
     

Share This Page